/************************************************************************
 *   IRC - Internet Relay Chat, modules/query/query.c
 *   This file is copyright (C) 2001 Andrew Suffield
 *                                    <asuffield@users.sourceforge.net>
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 */

#include "config.h"
#include "msg.h"
#include "modules.h"
#include "parse.h"
#include "query.h"

#include <string.h>

MODULE("query")

static struct module_handle *mh;
static char desc[] = "Standard query commands";
static char query_version[] = RELEASE;

#ifdef STATIC_MODULES
struct module_handle *
query_init(void)
#else
struct module_handle *
_modinit(void)
#endif
{
  if (!(mh = register_module(_name, desc, query_version, NULL)))
    return NULL;

  mod_add_cmd(&admin_msgtab, mh);
  mod_add_cmd(&help_msgtab, mh);
  mod_add_cmd(&info_msgtab, mh);
  mod_add_cmd(&ison_msgtab, mh);
  mod_add_cmd(&links_msgtab, mh);
  mod_add_cmd(&list_msgtab, mh);
  mod_add_cmd(&ltrace_msgtab, mh);
  mod_add_cmd(&lusers_msgtab, mh);
  mod_add_cmd(&map_msgtab, mh);
  mod_add_cmd(&motd_msgtab, mh);
  mod_add_cmd(&stats_msgtab, mh);
  mod_add_cmd(&time_msgtab, mh);
  mod_add_cmd(&trace_msgtab, mh);
  mod_add_cmd(&userhost_msgtab, mh);
  mod_add_cmd(&users_msgtab, mh);
  mod_add_cmd(&version_msgtab, mh);
  mod_add_cmd(&who_msgtab, mh);
  mod_add_cmd(&whois_msgtab, mh);
  mod_add_cmd(&whowas_msgtab, mh);
  return mh;
}
